package logic

import (
	"context"

	"juwan-backend/app/wallet/rpc/internal/svc"
	"juwan-backend/app/wallet/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type UpdateWalletTransactionsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewUpdateWalletTransactionsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UpdateWalletTransactionsLogic {
	return &UpdateWalletTransactionsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *UpdateWalletTransactionsLogic) UpdateWalletTransactions(in *pb.UpdateWalletTransactionsReq) (*pb.UpdateWalletTransactionsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.UpdateWalletTransactionsResp{}, nil
}
